Bug 1579934 - xClarity: Error while execute refresh of a provider with invalid credentials
Summary: xClarity: Error while execute refresh of a provider with invalid credentials
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Douglas Gabriel
QA Contact: Rodney H. Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-18 18:10 UTC by Douglas Gabriel
Modified: 2019-02-07 23:03 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:55 UTC
Category: ---
Cloudforms Team: Lenovo
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:00 UTC

Description Douglas Gabriel 2018-05-18 18:10:22 UTC
Description of problem:
When try to execute the refresh cycle for an unreachable provider (due to invalid credentials or offline status) an error is throw:

ems_refresher_mixin.rb:50:in `refresh': undefined method `appliance' for nil:NilClass (EmsRefresh::Refreshers::EmsRefresherMixin::PartialRefreshError)


Steps to Reproduce:
1. Have one LXCA managed on ManageIQ;
2. Change its credentials on Lenovo XClarity Dashboard;
3. Execute refresh cycle for this LXCA;

Actual results:
An error is throw:

ems_refresher_mixin.rb:50:in `refresh': undefined method `appliance' for nil:NilClass (EmsRefresh::Refreshers::EmsRefresherMixin::PartialRefreshError)

Expected results:
It should not throw any error.

Comment 3 Dave Johnson 2018-05-18 18:43:49 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 4 tstoddard 2018-06-05 15:14:15 UTC
https://github.com/ManageIQ/manageiq-providers-lenovo/pull/176 has merged.

This bug can be verified against Build #1337 or higher.

Comment 5 Rodney H. Brown 2018-09-12 19:13:32 UTC
verified with Version 5.10.0.14.20180831154906_2f9a1dd

Comment 6 errata-xmlrpc 2019-02-07 23:02:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.